# __gnu_cxx::typelist::detail::chain_filter_< chain< Hd, Tl >, Pred > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Hd, typename Tl, template< typename T > class Pred>
struct __gnu_cxx::typelist::detail::chain_filter_< chain< Hd, Tl >, Pred >

Definition at line 240 of file typelist.h.

## Public Types

- typedef __conditional_type<
  include_hd, chain_type, rest_type
  >::__type type

The documentation for this struct was generated from the following file:

- typelist.h